View Issue Details

IDProjectCategoryView StatusLast Update
0000292SOGoBackend Generalpublic2009-12-22 12:05
Reporterxbgmsharp Assigned Towsourdeau 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Versionnightly v2 
Target Version1.2.0Fixed in Version1.2.0 
Summary0000292: Bind to localhost
Description

Hello

Regarding this FAQ.

http://www.scalableogo.org/english/support/faq/article/how-can-i-bind-the-sogod-processes-to-particular-ip-address.html

I try to bind sogo only to localhost alias 127.0.0.1
Why because the proxy web server only listen on localhost and because it is more secure.
"
<Proxy http://127.0.0.1:20000/SOGo>
"

By default sogo listen on all interfaces:

netstat -laputen| grep 200

tcp 0 0 0.0.0.0:20000 0.0.0.0:* LISTEN 118
41956341 5705/sogod

the FAQ say:
WOPort = "20000";
specify :
WOPort = "1.2.3.4:20000";

But when i do in the configuration file:
WOPort = "127.0.0.1:20000";

i get in the log file:
"
Dec 15 11:32:08 sogod [5640]: [WARN] <0x0x9347850[WOWatchDog]> listening socket: attempt
1 failed
Dec 15 11:32:09 sogod [5640]: [WARN] <0x0x9347850[WOWatchDog]> listening socket: attempt
2 failed
Dec 15 11:32:10 sogod [5640]: [WARN] <0x0x9347850[WOWatchDog]> listening socket: attempt
3 failed
Dec 15 11:32:11 sogod [5640]: [WARN] <0x0x9347850[WOWatchDog]> listening socket: attempt
4 failed
Dec 15 11:32:12 sogod [5640]: [WARN] <0x0x9347850[WOWatchDog]> listening socket: attempt
5 failed
Dec 15 11:32:13 sogod [5640]: [ERROR] <0x0x9347850[WOWatchDog]> unable to listen on
specified port, check that no other process is already using it
"

TagsNo tags attached.

Activities

wsourdeau

wsourdeau

2009-12-16 12:37

viewer   ~0000354

Hi,

Can you tell us which version of SOGo and SOPE you are using. Are those the nightly builds? Are you using the Debian packages? If so, it'd be simpler to just provide us with the package identifiers and version numbers.

Thanks!

xbgmsharp

xbgmsharp

2009-12-17 04:53

reporter   ~0000355

Hello,

I use sogo nightly build on Debian 5.

ii libsope-appserver4.9 4.9.r1660-20091216 SOPE application server libraries
ii libsope-core4.9 4.9.r1660-20091216 Core libraries of the SOPE application serve
ii libsope-gdl1-4.9 4.9.r1660-20091216 GNUstep database libraries for SOPE
ii libsope-ldap4.9 4.9.r1660-20091216 SOPE libraries for LDAP access
ii libsope-mime4.9 4.9.r1660-20091216 SOPE libraries for MIME processing
ii libsope-xml4.9 4.9.r1660-20091216 SOPE libraries for XML processing
ii sogo 1.1.0.20091216 a modern and scalable groupware
ii sope4.9-gdl1-mysql 4.9.r1660-20091216 MySQL connector for SOPE's fork of the GNUst
ii sope4.9-libxmlsaxdriver 4.9.r1660-20091216 XML Parser for SOPE's SAX engine

wsourdeau

wsourdeau

2009-12-22 12:01

viewer   ~0000367

Fixed in http://mtn.inverse.ca/revision/diff/ab93644a5ada4e53c8539d710eff6a21c9d7fdc4/with/1f071b472ff826a3cdfb0f8ecafbe3f2c31e969e

Issue History

Date Modified Username Field Change
2009-12-16 03:48 xbgmsharp New Issue
2009-12-16 12:37 wsourdeau Note Added: 0000354
2009-12-17 04:53 xbgmsharp Note Added: 0000355
2009-12-22 11:51 ludovic Target Version => 1.2.0
2009-12-22 11:54 wsourdeau Status new => assigned
2009-12-22 11:54 wsourdeau Assigned To => wsourdeau
2009-12-22 12:01 wsourdeau Note Added: 0000367
2009-12-22 12:01 wsourdeau Status assigned => resolved
2009-12-22 12:01 wsourdeau Resolution open => fixed
2009-12-22 12:05 francis Fixed in Version => 1.2.0